; POLINE.REC	Purchase Order line file record map.
;=======================================================================;
; Copyright 2000 by TAH Software Systems (TAH), Oklahoma City, Oklahoma ;
;									;
;	TAH provides this software under a license and may only be	;
;	used in accordance with the terms and conditions of such	;
;	license and with the inclusion of the above Copyright notice.	;
;=======================================================================;
;	Record size:	688	
;	Primary key:	1.11	comp,order,lineno
;	Alternate 1:	13.24	item
;=======================================================================;
record	poline
	pol_key		,a11			; Primary key
	  pol_comp	,a2	@pol_key	; Company code
	  pol_order	,d6	@pol_key+2	; Order number
	  pol_lineno	,d3	@pol_key+8	; Line number
	pol_linetype	,a1			; Line type
						;   I - stock item
						;   N - non stock item
	pol_item	,a24			; Item id
	pol_locncode	,a3			; Location code
	pol_descr	,a30			; Description
	pol_vendpn	,a24			; Vendor's item id
	pol_buomcode	,a3			; Buy unit of measure
	pol_catgcode	,a3			; Category
	pol_ordqty	,d9.3			; Qty ordered              (6.3)
	pol_recuqty	,d9.3			; Qty rcvd (at dock)       (6.3)
	pol_recdqty	,d9.3			; Qty rcvd (accepted)      (6.3)
	pol_recrqty	,d9.3			; Qty rcvd (rejected)      (6.3)
	pol_recpqty	,d9.3			; Qty rcvd (posted to-date)(6.3)
	pol_ucost	,d9.3			; Unit cost                (6.3)
	pol_discpct	,d4.2			; Discount %               (2.2)
	pol_ordcost	,d9.2			; Total cost               (7.2)
	pol_reqdate	,d8			; Required date            (YMD)
	pol_recdate	,d8			; Last received date       (YMD)
	pol_slst	,a1			; Serial/lot numbered item
						;   S - serial numbered
						;   L - lot numbered
						;   K - kit
						;   N - none
	pol_status	,a1			; Status flag
						;   C - completed
						;   D - deleted
						;   P - partial
	pol_updcost	,a1			; Update item costs        (Y/N)
	pol_pfactor	,d6			; UOM factor               (6.0)
	pol_weight	,d6.2			; Unit weight              (4.2)
	pol_cubes	,d4.2			; Unit cubes               (2.2)
	pol_rejcode	,a3			; Rejection code
	pol_rem1prt	,a1			; Where to print remarks line 1
						;   P - purchase order
						;   R - receivings worksheet
						;   B - both
	pol_remark1	,a60			; Remarks line 1
	pol_rem2prt	,a1			; Where to print remarks line 2
						;   P - purchase order
						;   R - receivings worksheet
						;   B - both
	pol_remark2	,a60			; Remarks line 2
	pol_extdescr	,[4]a60			; Extended descriptions
	pol_ref1prt	,a1			; Where to print reference 1
	pol_refrnce1	,a60			; Reference line 1

	pol_ref2prt	,a1			; Where to print reference 2
	pol_refrnce2	,a60			; Reference line 2 

